package de.tudresden.inf.st.ros2rag.senderstub;

import panda.Linkstate;

import java.util.Arrays;

public class Main {
  public static void main(String[] args) throws Exception {
    String topic;
    if (args.length < 1) {
      topic = "robot/joint1";
    } else {
      topic = args[0];
    }
    Linkstate.PandaLinkState pls = Linkstate.PandaLinkState.newBuilder()
        .setName("Joint1")
        .setPos(Linkstate.PandaLinkState.Position.newBuilder()
            .setPositionX(0.5f)
            .setPositionY(0.5f)
            .setPositionZ(0.5f)
            .build())
        .setOrient(Linkstate.PandaLinkState.Orientation.newBuilder()
            .setOrientationX(0)
            .setOrientationY(0)
            .setOrientationZ(0)
            .setOrientationW(0)
            .build())
        .build();
    MQTTSender sender = new MQTTSenderImpl();
    sender.setHost("localhost", 1883);
//    System.out.println("pls.toByteArray() = " + Arrays.toString(pls.toByteArray()));
    sender.publish(topic, pls.toByteArray());
    sender.close();
  }
}
